<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
	</PropertyGroup>

	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />

		<PackageReference Include="MessagePack" Version="3.1.4" />
		<PackageReference Include="MessagePack.Annotations" Version="3.1.4" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="9.0.11" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client.Core" Version="9.0.11" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Common" Version="9.0.11" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Protocols.Json" Version="9.0.11" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Protocols.NewtonsoftJson" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="9.0.11" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\FruitBank.Common\FruitBank.Common.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="AyCode.Core">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Core.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Interfaces">
		  <HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Interfaces.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Models.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Models.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Services">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Services.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Services.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Services.Server.dll</HintPath>
		</Reference>
		<Reference Include="Mango.Nop.Core">
			<HintPath>..\..\NopCommerce.Common\4.70\Libraries\Mango.Nop.Core\bin\FruitBank\$(Configuration)\net9.0\Mango.Nop.Core.dll</HintPath>
		</Reference>

	</ItemGroup>

	<ItemGroup>
		<Folder Include="Controllers\" />
	</ItemGroup>

</Project>
